/**
 * @packageDocumentation
 * @module page-guard
 */
import { TemplateRef } from '@angular/core';
import { GuardStatus, Reason } from './page-guard.type';
export declare class PageGuardComponent {
    get allowed(): boolean;
    set allowed(allowed: boolean);
    status: GuardStatus;
    set reason(reason: Reason);
    title: string;
    description: string;
    descriptionTpl: TemplateRef<unknown>;
    operation: TemplateRef<unknown>;
    template: TemplateRef<unknown>;
    reasonModel: {
        src: string;
        title: string;
        description: string;
    };
    isNonEmptyString(value: unknown): boolean;
    isUndefined(value: string): boolean;
    isTemplateRef(value: unknown): boolean;
}
